services:
  core:
    hostname: squiz
    container_name: squiz
    tty: true
    image: gitea.pena/squiz/core/staging:$GITHUB_RUN_NUMBER
    labels:
      com.pena.allowed_headers: content-type,authorization,device,browser,os,devicetype,response-type
    env_file: config.env
    ports: 
      - 10.7.0.10:1488:1488
      - 10.7.0.10:9000:9000
      - 10.7.0.10:2346:2345
    command: dlv --listen=:2345 --continue --headless=true --log=true --log-output=debugger,debuglineerr,gdbwire,lldbout,rpc --accept-multiclient --api-version=2 exec /core
